The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

mysql problem after automatic upgrade of cpanel

Discussion in 'General Discussion' started by jan2, Dec 3, 2005.

  1. jan2

    jan2 Member

    Joined:
    Nov 5, 2005
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    Hi all,
    I am having in trouble after this nigtgh mysql was upgraded automatically by cpanel.

    Now it gives this error:
    Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)

    Now mysql and eximstats are in red in service status.

    Any idea how to fix this?
    Is there a way to disable this "dangerous" automatic upgrade?

    Thanks in advance,
    Regards,
    Joan
     
  2. aby

    aby Well-Known Member

    Joined:
    May 31, 2005
    Messages:
    638
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    India
    try if this helps.

    /scripts/mysqlup --force
     
  3. lloyd_tennison

    lloyd_tennison Well-Known Member

    Joined:
    Mar 12, 2004
    Messages:
    698
    Likes Received:
    1
    Trophy Points:
    18
    I have same problem and that does nothing. I also checked permissions and even ran /scripts/fixmysql.
     
  4. jan2

    jan2 Member

    Joined:
    Nov 5, 2005
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1
    I have solved the problem reinstalling previous mysql version.

    Hope this helps.
     
  5. dkz

    dkz Well-Known Member

    Joined:
    Sep 10, 2004
    Messages:
    100
    Likes Received:
    0
    Trophy Points:
    16
    Mabyee I am lucky but whenever I have gotten that error, I restart mysql inside cPanel. If that didn't work I restarted mysql via shell and it solved the problem. But most likley you have already tried to restart...
     
  6. lloyd_tennison

    lloyd_tennison Well-Known Member

    Joined:
    Mar 12, 2004
    Messages:
    698
    Likes Received:
    1
    Trophy Points:
    18
    I did the same -but when I tried to run an update on the 4.0.26 version, I received an error that perl(DBI) was not installed. When I installed perl(DBI) it dod not change -so maybe it needs some other perl DBI rpm's. I just did not have the time to wait and test. Maybe this will help someone else....

    (Restarting was first thing tried, obviously.)
     
    #6 lloyd_tennison, Dec 3, 2005
    Last edited: Dec 3, 2005
  7. SuperHemp

    SuperHemp Member

    Joined:
    Sep 20, 2004
    Messages:
    8
    Likes Received:
    0
    Trophy Points:
    1

    How would I do that?

    I am having the same problem and data center has no clue what they doing... :(

    and I am blind on this.. LOL
     
Loading...

Share This Page